Bug 11789 - tcl compiled with threads
Summary: tcl compiled with threads
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-31 14:41 UTC by davidw
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-31 14:41:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description davidw 2000-05-31 14:41:01 UTC
This is a judgement call on Redhat's part, but there are some problems with
compiling tcl against pthreads.

To wit, with glibc2.1 (according to andreas jaeger) it is impossible to
load a shared object which is linked against pthreads.  

A bit of background:  I am the author of an Apache module, mod_dtcl, which
is a module for doing server-parsed Tcl, similar to PHP.  I had received
numerous bug reports that there were problems with this module on redhat
boxes.

So, as you can see, it's a problem if you wish to use this Apache module as
a shared object, as mod_dtcl.so is linked against tcl, which is in turn
linked against pthreads on redhat boxes.

Comments? Questions?
Thanks!

Comment 1 Jeff Johnson 2000-06-02 14:06:45 UTC
Thanks for the comment, as I turned on --enable-threads in order to get
feedback. I will revert the change in Raw Hide, as it seems the linux world is
not quite ready for --enable-threads in tcltk. Please reopen this bug when
that time comes :-)


Note You need to log in before you can comment on or make changes to this bug.